#include <ctype.h>

#include "common.h"

int is_hex8_val(name)
	char *name;
{
    int i = 0;
    while (isxdigit(name[i]) && i < 8) i++;

    return !(i < 8 || name[i] != FNIPSEP || name[i+1] == '\0');
}

char *get_file_name(name)
	char *name;
{
    if (is_hex8_val(name))
	return name + 9;
    else
	return name;
}

u_long get_file_ip(name)
	char *name;
{
    if (is_hex8_val(name))
    {	/* know first 8 characters are hex */
	int i;
	u_long val = 0;

	for (i = 0; i < 8; i++)
	{
	    val <<= 4;
	    val |= (u_long) (isdigit(name[i])? (name[i]-'0'):
				    10+name[i]-(islower(name[i])?'A':'a'));
	}
	return val;
    }
    else
	return 0L;
}
